## Function template register_filter_factory

boost::log::register_filter_factory

## Synopsis

    // In header: <boost/log/utility/setup/filter_parser.hpp>

    template<typename FactoryT>
      boost::enable_if_c< is_base_and_derived< filter_factory< typename FactoryT::char_type >, FactoryT >::value >::type
      register_filter_factory(attribute_name const & name,
                              shared_ptr< FactoryT > const & factory);

## Description

The function registers a filter factory object for the specified attribute name. The factory will be used to construct a filter during parsing the filter string.

Parameters:

`factory` | The filter factory
`name` | Attribute name to associate the factory with

Requires: | `name != NULL && factory != NULL`, `name` points to a zero-terminated string